SCESV(1)

NAME
scesv - SeisComP Documentation

Event summary view.

DESCRIPTION

scesv is the summary display of the event parameters. It shows the primary information about the current event including location, time, strength, type and processing status. Additional to the current event older events can also be chosen from the eventlist in the events tab.

The two tabs of scesv are

•   Events tab showing the list of loaded events, compare Fig. Eventlist tab

•   Summary tab with the details of the selected event, see Fig. Summary tab.

EVENTS TAB

The Events tab shows the eventlist of the time span defined on the bottom side of the window. A the Events tab is also available for other GUIs, such as scolv it can be configured in the global module configuration. The description of the Events tab in scolv provides more details. [image] Eventlist tab Tab1-2: Summary/Events tab, EventList: list of the last events with summarized information, List options: Show fake events, Reading 1: spinbox to limit timespan of displayed events (in days), Reading 2: spinboxes to limit timespan of displayed events (specified dates), Status: connection status

NOTE: As for scolv filtering of the event list and custom information can be added to the event list by configuration. Read the scolv documentation on event filtering and custom action for the details.

SUMMARY TAB

The most recent (default) or the event selected from the event list is shown in the Summary tab, see Fig. Summary tab. Here the information are highlighted in four sections:
section | description
Time | Orign time in UTC and relative to now
Region | A map of the region and location with the event and stations
Magnitude | Different magnitude types, the values and counts
Hypocenter | Origin information with location, depth, azimuthal gap etc.
[image] Summary tab Tab1-2: Summary/Events tab, Origin Time: origin time in UTC and relative to now, Map: map with region and location and stations, Magnitude: different magnitude types with values and counts, Origin Info: hypocenter information with position, phase count and azimuthal gap, Event: earthquake location, Station: station with ray-path, Details: "Show Details" button to open detailed information in scolv, Event Type: event type combo box to set event type, Status: connection status

HOTKEYS
Hotkey | Description
F1 | Open SeisComP documentation
Shift + F1 | Open scesv documentation
F2 | Setup connection dialog
F6 | Show propagation of P and S wave
F7 | Show focal mechanism by beach ball
Shift + F7 | Show focal mechanism by beach ball
F8 | Toggle auto update
F9 | Show raypaths and associated stations
F10 | Toggle tabs
F11 | Toggle fullscreen
Mouse wheel | Zoom map in/out
Double click | Center map

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scesv.cfg
etc/global.cfg
etc/scesv.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scesv.cfg

scesv inherits global options.

loadEventDB
    Default: 1

    Type: double

    Unit: days

    Number of days to preload if scesv is started.

showLastAutomaticSolution
    Default: false

    Type: boolean

    If enabled, the last automatic solution is displayed next to the current solution in the summary panel. If the last automatic solution differs from the current solution it is displayed in red. If both solutions match it is displayed in gray.

showOnlyMostRecentEvent
    Default: true

    Type: boolean

    If enabled, only the most recent event is shown even if an update of an older event is being received.

recenterMap
    Default: true

    Type: boolean

    If enabled, the map is centered around the most recent event event.

enableFixAutomaticSolutions
    Default: false

    Type: boolean

    If enabled, an additional button is displayed which allows to switch back the latest automatic solution. This button triggers an command for scevent to prioritize automatic solutions until the next manual solution is available.

visibleMagnitudes
    Default: M,MLv,mb,mB,Mw(mB)

    Type: list:string

    A list of magnitude types to be displayed.

button0
    Type: string

    Label of button0 which triggers script0.

button1
    Type: string

    Label of button1 which triggers script1.

ignoreOtherEvents
    Default: true

    Type: boolean

    If the event type is either "other" or "not existing" and this flag is true then the event will not be shown.

scripts.script0
    Type: string

    Path to a script if button0 is clicked.

scripts.script1
    Type: string

    Path to a script if button1 is clicked.

scripts.script0.exportMap
    Default: false

    Type: boolean

    If enabled, the current map is exported to file. The filename is appened to the parameter list of script0. The script has to take ownership of the file.

scripts.script0.oldStyle
    Default: true

    Type: boolean

    If enabled, the parameter list of script0 is event ID, arrival count, magnitude, description.

    If disabled, the parameter list of script0 is event ID, preferredOriginID, preferredMagnitudeID, preferredFocalMechanismID.

scripts.script1.exportMap
    Default: false

    Type: boolean

    If enabled, the current map is exported to file. The filename is appened to the parameter list of script1. The script has to take ownership of the file.

scripts.script1.oldStyle
    Default: true

    Type: boolean

    If enabled, the parameter list of script1 is event ID, arrivalCount, magnitude, description.

    If disabled, the parameter list of script1 is event ID, preferredOriginID, preferredMagnitudeID, preferredFocalMechanismID.

summary.borders
    Default: false

    Type: boolean

    Draw borders in the summary panel.

    NOTE: display.* Adjust content or display custom information in the Summary tab.

display.lonmin
    Default: -180

    Type: double

    Unit: deg

    Minimum longitude of initially displayed map region.

display.lonmax
    Default: 180

    Type: double

    Unit: deg

    Maximum longitude of initially displayed map region.

display.latmin
    Default: -90

    Type: double

    Unit: deg

    Minimum latitude of initially displayed map region.

display.latmax
    Default: 90

    Type: double

    Unit: deg

    Maximum latitude of initially displayed map region.

    NOTE: display.event.* Event information

display.event.comment.id
    Type: string

    ID of the event comment to be considered.

display.event.comment.default
    Type: string

    Value to be shown in case no valid event comment is found.

display.event.comment.label
    Type: string

    Label of the value to be shown.

    NOTE: display.origin.* Origin information

    NOTE: display.origin.comment.* Display origin comments.

display.origin.comment.id
    Type: string

    ID of the origin comment to be considered.

display.origin.comment.default
    Type: string

    Value to be shown in case no valid origin comment is found.

display.origin.comment.label
    Type: string

    Label of the value to be shown.

    NOTE: poi.* Display information related to a point of interest (POI) read from the cities XML file.

poi.maxDist
    Default: 20

    Type: double

    Unit: deg

    Maximum distance in degrees of a POI to be taken into account.

poi.minPopulation
    Type: double

    The minimum population of a POI to be taken into account.

poi.message
    Type: string

    Message conversion string that converts a POI into the text displayed under the region label. There are different placeholders that can be used: @dist@, @dir@, @poi@ and @region@.

COMMAND-LINE OPTIONS

scesv [options]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

--print-component arg
    For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace
    Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

  Messaging

-u, --user arg
    Overrides configuration parameter connection.username.

-H, --host arg
    Overrides configuration parameter connection.server.

-t, --timeout arg
    Overrides configuration parameter connection.timeout.

-g, --primary-group arg
    Overrides configuration parameter connection.primaryGroup.

-S, --subscribe-group arg
    A group to subscribe to. This option can be given more than once.

--content-type arg
    Overrides configuration parameter connection.contentType.

    Default: binary

--start-stop-msg arg
    Default: 0

    Set sending of a start and a stop message.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Records

--record-driver-list
    List all supported record stream drivers.

-I, --record-url arg
    The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg
    Specify a file as record source.

--record-type arg
    Specify a type for the records being read.

  Cities

--city-xml arg
    Type: file

    Values: *.xml

    The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

  User interface

-F, --full-screen
    Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive
    Use non-interactive presentation mode. This only works with GUI applications.

  Options

--script0 arg
    Path to the script called when configurable button0 is pressed; EventID, arrival count, magnitude and the additional location information string are passed as parameters $1, $2, $3 and $4, respectively.

--script1 arg
    Path to the script called when configurable button1 is pressed; EventID, arrival count, magnitude and the additional location information string are passed as parameters $1, $2, $3 and $4, respectively.

--load-event-db arg
    Number of days to load from database.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam